# 📜 Terms of Service

These Terms of Service govern your access to and use of services provided by Programming.Dev ("programming.dev", "we", "us", "our") including:

- Our websites such as programming.dev or bytes.programming.dev.
- APIs for our websites.
- Any other place we link the Terms of Service.

The services are available for your use only if you agree to the Terms of Service. If you do not agree with the Terms of Service, then do not access or use our services. By accessing or using the website, you and the entity you are authorized to represent (“user” “you” or “your”) signify your agreement to be bound by the Terms of Service.

## 1. User Responsibilities

By agreeing to this section of the document you accept:

- 1.1. You may only use our services if you clearly understand and comply with the Terms of Service.
- 1.2. You have not been permanently banned from any of our services in the past.
- 1.3. You are at least 16 years old and over the regulated minimum age defined by your local law to access our services.
- 1.4. You are responsible for your own experience on our services.
- 1.5. Certain sections of the services (including NSFW content) may require you to be older to view them and by viewing or accessing such content you are confirming you are an adult in your country.
- 1.6. You should only report content that violates our Terms of Service, Code of Conduct, or the rules of the community it was posted in.
- 1.7. You are expected to follow our [Code of Conduct](https://legal.programming.dev/docs/code-of-conduct/)

## 2. Content Policy

- 2.1. The content provided on our services are not necessarily factually true, and hosting it does not mean agreeing, supporting, or encouraging it. We only require all content to fully comply with the Terms of Service and any other documents that are mentioned and linked to in this document.
- 2.2. By submitting, posting, or displaying user content on our services, you grant us a worldwide, non-exclusive, royalty-free license to use, reproduce, modify, adapt, publish, translate, distribute, and display such user content.
- 2.3. You are solely responsible for the user content you submit, post, or display on our services, and you represent and warrant that you have all rights necessary to grant us the license described in section 2.2.

## 3. System Disruption

- 3.1. You shall not engage in any activities or behaviour that disrupt, interfere with, or impair the proper functioning of our services. We reserve the right to permanently revoke access to any entities and/or individuals that cause either service disruption or threaten the security of our site and/or users.
- 3.2. You shall not use our services to discuss methods of evading security or disrupting services both relating to our services and other services.
- 3.3. If you become aware of an exploit or other way that our services may be disrupted report it to info@programming.dev.

## 4. Prohibited Content

- 4.1. Do not post content illegal under the laws of the United States of America or engage in any activity that may encourage, facilitate, or provide access to illegal transactions.
- 4.2. Sharing or encouraging the sharing of abusive or sexual content involving minors, both fictional and real, is not permitted.
- 4.3. You shall not use our services to transmit any unauthorized advertising, promotional materials, junk mail, spam, chain letters, or any other form of solicitation.
- 4.4. Do not use our services to impersonate or attempt to impersonate another person or entity.

## 5. Terms of Service Violations

In the case of violating the Terms of Service, any of the following or combinations of the following may occur:

- Removal of the violating content
- Being issued a warning to not repeat the violation again
- Removing the violating account temporarily or permanently
- Removing the violating community
- Removing all content of the violating account or community

We may terminate or suspend your access to our services immediately, without prior notice or liability, for any reason whatsoever, including without limitation if you breach the Terms of Service or Code of Conduct.

## 6. Govering Law

These Terms shall be governed by and construed in accordance with the laws of the United States of America, without regard to its conflict of law provisions.

## 7. Miscellaneous

- 7.1. You waive Programming.Dev and its parent, subsidiaries, affiliates, and all their respective staff, representatives, service providers, contractors, licensors, licensees, and successors from any claims resulting from any action taken by Programming.Dev, and any of the foregoing parties relating to any investigations by either us or by law enforcement authorities.
- 7.2. You are solely and entirely responsible for your use of our services and your computer, internet, and data security.
- 7.3. If any section of the Terms of Service is held invalid or unenforceable, that section shall be construed consistent with applicable law and all of the remaining sections shall remain in full force and effect.
- 7.4. In the case of facing an event not covered by the Terms of Service, the full body of this document will still keep its validity and use. In this event, the laws of the United States of America will be used as the primary guide in content moderation.

## Do we Make Updates to the Terms of Service?

We may update the Terms of Service from time to time. When we do the date at the bottom of the page will change to indicate the date of the most recent changes. In addition, clicking on that date will bring you to the commit in the code repository that shows who edited it, and what was changed. If we make changes we may notify you by posting a notice of such changes in our meta community on the programming.dev site, in the updates account on the bytes.programming.dev site, in our blog on the stacks.programming.dev site, in the news community in our discord server, and in the news community in our matrix server. We encourage you to review the Terms of Service periodically for any modifications.

## Contact Us

If you have questions or concerns about the Terms of Service you should contact us at info@programming.dev.
